%global momorel 2
%global php_ver 5.1.4
%global md5sum_src0 a57b7c46d81170b9318e2f384f77910c

%global pkg_name syck

Summary: YAML module for PHP
Name: php-%{pkg_name}
Version: 0.55
Release: %{momorel}m
License: BSD
Group: Development/Languages
URL: http://whytheluckystiff.net/syck/
# %%NoSource 0 http://pecl.php.net/get/%{pkg_name}-%{version}.tgz %{md5sum_src0}
Source0:   %{pkg_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Source10: %{pkg_name}.ini

Patch1: sycklib.patch

Requires: php >= %{php_ver}
BuildPrereq: php-devel >= %{php_ver}

%description
YAML is a new language for data. A readable, friendly language for
storing lists, dictionaries, text, numerics and more. YAML 1.0 is out,
in working draft. It is time to start using YAML.

Syck is an extension for reading and writing YAML swiftly in popular
scripting languages. As Syck loads the YAML, it stores the data
directly in your language symbol table. This means speed. This means
power. This means Do not disturb Syck because it is so focused on the
task at hand that it will slay you mortally if you get in its way.

%prep
# Setup main module
%setup -q -n %{pkg_name}-%{version}

%patch1 -p0

# build libsyck.a
%configure
%make

cp lib/syck.h ext/php
cp lib/syck_st.h ext/php
cp lib/libsyck.a ext/php 

# prepare php module
cd ext/php
%{_bindir}/phpize
%configure --with-syck=./

%build
# Build main module
%make

%install
rm -rf %{buildroot}
cd ext/php
%makeinstall INSTALL_ROOT=%{buildroot}
%{__install} -m 755 -d %{buildroot}%{_sysconfdir}/php/php.d
%{__install} -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/php/php.d

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README* RELEASE TODO
%dir %{_libdir}/php5/*
%{_sysconfdir}/php/php.d/%{pkg_name}.ini

%changelog
* Sat May 10 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.55-2m)
- use %{pkg_name}

* Sat May 06 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.55-2m)
- rebuild against PHP 5.1.4

* Wed Mar 1 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- initial version
